Signatures

Envelope Document Download

GET
/signatures/envelope/{envelopeId}/document/{documentId}/download

Downloads a specific document within an envelope.

  • The envelope is identified using the envelopeId path parameter.
  • The document is identified using the documentId path parameter.
  • The envelope is authenticated via the transactionId (tid) query parameter.
  • The document is returned as a binary stream (application/octet-stream), typically in its original format (e.g., PDF, DOCX) or as a processed version (e.g., signed PDF).

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

envelopeId*string

The ID of the envelope where the attachment is added.

documentId*string

The needed string value. The ID(URN) of the document you would like to download from the defined envelope.

Query Parameters

tid?string

Transaction token identifying a specific recipient+envelope pair. Required for anonymous/recipient access (no Authorization header, or the header doesn't resolve to the envelope owner).

Formatuuid

Response Body

application/octet-stream

application/json

application/json

curl -X GET "https://example.com/signatures/envelope/string/document/string/download"
Empty
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}
{  "error": {    "message": "Envelope not found.",    "statusCode": 400,    "innerErrors": [      {        "code": "ENVELOPE_ID_INVALID",        "message": "Envelope not found.",        "userMessage": "Envelope not found."      }    ]  },  "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create",  "dateTime": "2026-07-20T12:00:00.0000000+00:00"}